View Issue Details

IDProjectCategoryView StatusLast Update
16026Bug reportsSurvey takingpublic2020-04-20 19:12
Reportercauhlins Assigned ToDenisChenu  
PrioritynoneSeverityblock 
Status resolvedResolutionfixed 
Product Version4.1.12 
Fixed in Version4.1.18 
Summary16026: Can't have multiple upload question on one page
Description

I recently created a survey that works fine. However, the upload questions gets stuck whenever the user tries to upload. I can neither select file nor close the upload window. I always have to refresh the page before I can answer subsequent questions.

I noticed that the upload question seems to work when I have just one upload question per page. The moment I add multiple upload questions, they all don't seem to work. This issue prevents users from moving to the next question because the popup upload window neither works nor does it close.

Steps To Reproduce

Create survey
Add 1 upload question --- survey works fine
Add multiple upload questions per page --- survey breaks.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.12 github
I will donate to the project if issue is resolved
Browserff
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.3

Relationships

related to 16038 resolvedJHoeck Development  Unable to build upload.js 
has duplicate 16093 resolvedDenisChenu Bug reports Multiple file upload type in the same questions group page does not work 

Activities

cauhlins

cauhlins

2020-03-24 13:23

reporter  

DenisChenu

DenisChenu

2020-03-25 10:17

developer   ~56762

Questionno need to be hidden : just 2 question in same page

DenisChenu

DenisChenu

2020-03-25 10:20

developer   ~56763

Last edited: 2020-04-01 17:22

Move to bug + set to 4.X

3.X don't have this issue. Next time : please, be careful ....

DenisChenu

DenisChenu

2020-04-01 17:43

developer   ~56876

The fix to do : https://github.com/Shnoulle/LimeSurvey-Shnoulle/commit/45480686b00816e3598ed67ebf57394843716af0

DenisChenu

DenisChenu

2020-04-20 19:11

developer   ~57278

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29849

Related Changesets

LimeSurvey: master b3248c74

2020-04-20 19:11:02

DenisChenu


Committer: GitHub Details Diff
Fixed Issue 16026: Can't have multiple upload question on one page (#1407)

Dev: Issue 16026: Can't have multiple upload question on one page
Dev: this time it build, Thanks to Jessica
Affected Issues
16026
mod - assets/packages/questions/upload/build/uploadquestion.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js.map Diff File
mod - assets/packages/questions/upload/src/modaldialog.js Diff File

Issue History

Date Modified Username Field Change
2020-03-24 13:23 cauhlins New Issue
2020-03-24 13:23 cauhlins File Added: limesurvey_survey_573265.lss
2020-03-25 10:17 DenisChenu File Added: limesurvey_survey_MultiUpload.lss
2020-03-25 10:17 DenisChenu Note Added: 56762
2020-03-25 10:18 DenisChenu Project Development => Bug reports
2020-03-25 10:18 DenisChenu Category Survey taking => Other issues
2020-03-25 10:20 DenisChenu Category Other issues => _ Unknown
2020-03-25 10:20 DenisChenu Product Version 3.x => 4.1.12
2020-03-25 10:20 DenisChenu Description Updated View Revisions
2020-03-25 10:20 DenisChenu Steps to Reproduce Updated View Revisions
2020-03-25 10:20 DenisChenu Complete LimeSurvey version number (& build) => 4.1.12 github
2020-03-25 10:20 DenisChenu Browser => ff
2020-03-25 10:20 DenisChenu Database & DB-Version => mariadb
2020-03-25 10:20 DenisChenu Server OS (if known) => fedora/linux
2020-03-25 10:20 DenisChenu Webserver software & version (if known) => nginx
2020-03-25 10:20 DenisChenu PHP Version => php7.3
2020-03-25 10:20 DenisChenu Note Added: 56763
2020-03-25 10:26 DenisChenu Assigned To => cdorin
2020-03-25 10:26 DenisChenu Status new => confirmed
2020-03-25 10:51 DenisChenu Relationship added related to 16038
2020-04-01 17:43 DenisChenu Note Added: 56876
2020-04-08 15:30 jelo Relationship added related to 16093
2020-04-08 15:58 DenisChenu Relationship replaced has duplicate 16093
2020-04-20 18:19 DenisChenu Assigned To cdorin => DenisChenu
2020-04-20 19:11 DenisChenu Changeset attached => LimeSurvey master b3248c74
2020-04-20 19:11 DenisChenu Note Added: 57278
2020-04-20 19:11 DenisChenu Resolution open => fixed
2020-04-20 19:11 DenisChenu Status confirmed => resolved
2020-04-20 19:11 DenisChenu Fixed in Version => 4.1.18
2020-04-20 19:12 DenisChenu Category _ Unknown => Survey taking